---
title: "Установка и настройка"
date: 2020-09-04T16:25:53+03:00
draft: true
categories:
- Users
---

SelfPrivacy-сервер создается поэтапно в течение часа. Звучит страшно, но уверяю, ученая степень не понадобятся. Процесс не сложнее покупки в интернет-магазине.

1. Поиск паспорта и карты с балансом $10-15 и $5 в месяц
2. Регистрация учёток
3. Защита учёток
4. Покупка домена
5. Подключение домена к DNS-серверу
6. :key: Создание ключей
7. Установка
8. Подключение к сервисам :tada:

Если кому-нибудь поручите эту задачу — лишитесь приватности. Для 100% независимости и контроля **всё делать самому**.

## Регистрация учёток

SelfPrivacy для устойчивости и приватности требует много учёток. Если всё держать в Google или Amazon получаем то, от чего бежали — все данные у одной компании :woman_facepalming:

Поэтому разные части системы будут в разных компаниях. Регистрируемся:

1. [Hetzner](https://accounts.hetzner.com/signUp) — *хостинг* виртуального сервера. Здесь будут жить наши данные и SelfPrivacy-сервисы.
2. [NameCheap](https://www.namecheap.com/myaccount/signup/) или любой другой *регистратор*, для покупки личного адреса в интернете — *домена*, который будет указывать на сервер.
3. [CloudFlare](https://dash.cloudflare.com/sign-up) — *DNS-сервер*, где работает ваш домен.
4. [Amazon AWS](https://portal.aws.amazon.com/gp/aws/developer/registration/index.html?nc2=h_ct&src=default) — *IaaS-провайдер*, для бесплатного хранения резервных копии ваших данных в зашифрованном виде.

Регистрация заурядна, но иногда проверка аккаунта длится несколько дней или требуют дополнительных документов. Поэтому используйте настоящие документы и заполняйте все аккуратно. Провайдеры так защищаются от спамеров, ничего личного )

## Защита учёток

Взламывают системы через самое слабое звено. Чтобы учётки не были таким звеном, пароли на всех аккаунтах делаем разные и сложные. `MamaMilaRamu` как ни странно плохой пароль, а отличные :rainbow: —  это парольная фраза:

`expert repose postwar anytime glimpse freestyle liability effects`

или

`}Rj;EtG:,M!bc4/|`

Как такой пароль запомнить? Никак! Пароли не нужно запоминать, их надо создавать и хранить в [*менеджере паролей*](https://keepassxc.org/download/). Хотя один помнить придется — пароль от менеджера паролей.

**Обязательно** включите дополнительную защиту аккаунтов. Называется *второй фактор (MFA, 2FA)*. Без этого простого шага ваши **данные не будут в безопасности**.

Я знаю, было сложно, но теперь вы защищены лучше, чем у 95%. Можете собой гордится! Я вот вами горжусь :hugs:

## Покупка домена

Включили второй фактор? Я серьезно! Тогда переходим к интересному!

![Выбор домена в NameCheap](/img/nc-buy-domain.gif)

*Домен* — это кусочек интернета, которому вы даете имя. Простор для творчества огромен, у вас есть 63 символа + `.com` `.org` `.icu` и еще несколько сотен доменов после точки.
Можно просто по фамилии выбрать `ivanov.live` или `ivanov.health`, а можно что-то творческое `shit-happens.shop`

**Рекомендации**:

* Обязательно смотреть на цену ежегодного продления, она может в разы превышать стоимость покупки.
* Нормальная цена домена $8-10. Самые дешевые — китайские `.icu` и `.cyou`
* Хорошее имя удобно и по телефону диктовать и на деловой визитке писать.
* Фамилия в домене хороша тем, что можно раздать почту всем однофамильцам, типа: name.secondname@surname.com или ns@surname.com или name@surname.com
* При регистрации домена обязательно указывать реальные почту и телефон, иначе регистрацию могут аннулировать. И если вы не сможете продлить домен, у вас все сломается.
* Я уже говорил про второй фактор?

## Подключение домена к DNS-серверу

После покупки домен добавляем в CloudFlare:

![Добавление домена в CloudFlare](/img/add-domain-to-cf.gif)

На примере домена `ruleit.stream` мы выбрали бесплатный тариф и получили *серверы имен*: `gail.ns.cloudflare.com` и `mattns.cloudflare.com`, которые надо прописать у своего регистратора. В нашем случае NameCheap:

![Передача домена от NameCheap в CloudFlare](/img/nc-to-cf.gif)

Заодно проверяем, что у нас включено автопродление и защита персональных данных — WhoisGuard. Через несколько минут или в худшем случае до 2-ух суток настройки применятся.

## :key: Создание ключей

*API-ключи* — это почти тоже самое, что и логин с паролем, только для программы, а не человека. SelfPivacy-manager с их помощью управляет сервисами во всех учётках вместо вас. Удобно! 

Ключи хранить в [*менеджере паролей*](https://keepassxc.org/download/)

Для NameCheap нам ключ не нужен, мы уже все сделали. А домен будет управляться в CloudFlare.

### CloudFlare

![CloudFlare](/img/cloudflare/CloudFlare.gif)

### Hetzner

![Hetzner](/img/hetzner/Hetzner.gif)

### Amazon AWS

![AWS](/img/aws/AWS.gif)

## Установка

## :tada: Подключение к сервисам 
